#
# Copyright 2003 Sun Microsystems, Inc. All Rights Reserved
# SUN PROPRIETARY/CONFIDENTIAL
# Use is subject to license terms. 
#############################################################
#
# File: config.properties 
#
#
#
# This file contains the instance specific properties for
# a running broker.
#
# Only some of the properties listed in the default.properties
# file should be changed (some of the properties are for 
# field support or future features).
#
# WARNING: 
#
#   Use care when editing this file by hand.
#
#   This file is automatically update.  Changes made while
#   the broker is running MAY be lost. Any comments added to
#   this file may be lost.
#
#   Only the properties listed below can be modified in a 
#   supported configuration.
#
#   Please make any property changes at the bottom of this file.
#
###################################################################
#
#  Supported properties are:
#
# Connection Services Settings
# ----------------------------
#
#    General Connection Services
#
#            imq.service.activelist
#            imq.shared.connectionMonitor_limit
#            imq.hostname
#
#    Connection Service Specific Settings
#
#            imq.<service_name>.threadpool_model
#            imq.<service_name>.<protocol_name>.port
#            imq.<service_name>.<protocol_name>.hostname
#            imq.<service_name>.min_threads
#            imq.<service_name>.max_threads
#
#       configuration for the keystore used by the ssl service
#
#            imq.keystore.file.dirpath
#            imq.keystore.file.name
#            imq.passfile.enabled
#            imq.passfile.dirpath
#            imq.passfile.name
#            
#       http specific parameters
#
#            imq.httpjms.http.servletHost
#            imq.httpjms.http.servletPort
#            imq.httpjms.http.pullPeriod
#            imq.httpjms.http.connectionTimeout
#            
#       https specific parameters
#
#            imq.httpsjms.https.servletHost
#            imq.httpsjms.https.servletPort
#            imq.httpsjms.https.pullPeriod
#            imq.httpsjms.https.connectionTimeout
#
#    General JMX parameters
#
#            imq.jmx.hostname
#
#    General JMX Connector Services
#
#            imq.jmx.connector.activelist
#
#    JMX Connector specific settings
#
#            imq.jmx.connector.<connector server name>.urlpath
#            imq.jmx.connector.<connector server name>.useSSL
#            imq.jmx.connector.<connector server name>.brokerHostTrusted
#
#    RMI Registry (used by RMI JMX Connectors)
#
#            imq.jmx.rmiregistry.use
#            imq.jmx.rmiregistry.start
#            imq.jmx.rmiregistry.port
#
#    Portmapper Settings
#
#            imq.portmapper.hostname
#            imq.portmapper.port
#            imq.portmapper.backlog
#
# Message Router Settings
# -----------------------
#
#    Memory reclamation period
#
#            imq.message.expiration.interval
#
#    Message limits: broker
#
#            imq.system.max_count
#            imq.system.max_size
#
#    Individual message limits
#
#            imq.message.max_size
#
# Persistence Settings
# --------------------
#
#    Type of data store
#
#            imq.persist.store
#
#    File-based store
#
#            imq.persist.file.message.max_record_size
#            imq.persist.file.destination.message.filepool.limit
#            imq.persist.file.message.filepool.cleanratio
#            imq.persist.file.message.cleanup
#            imq.persist.file.sync.enabled
#
#    JDBC-based store
#
#            imq.persist.jdbc.brokerid
#            imq.persist.jdbc.dbVendor
#            imq.persist.jdbc.<dbVendor>.driver
#            imq.persist.jdbc.<dbVendor>.opendburl
#            imq.persist.jdbc.<dbVendor>.createdburl
#            imq.persist.jdbc.<dbVendor>.closedburl
#            imq.persist.jdbc.<dbVendor>.user
#            imq.persist.jdbc.<dbVendor>.needpassword
#            imq.persist.jdbc.<dbVendor>.table.MQVER40
#            imq.persist.jdbc.<dbVendor>.table.MQCREC40
#            imq.persist.jdbc.<dbVendor>.table.MQBKR40
#            imq.persist.jdbc.<dbVendor>.table.MQDST40
#            imq.persist.jdbc.<dbVendor>.table.MQCON40
#            imq.persist.jdbc.<dbVendor>.table.MQCONSTATE40
#            imq.persist.jdbc.<dbVendor>.table.MQMSG40
#            imq.persist.jdbc.<dbVendor>.table.MQPROP40
#            imq.persist.jdbc.<dbVendor>.table.MQTXN40
#
#
# Memory Management Settings
# --------------------------
#
#            imq.<resource_state>.threshold
#            imq.<resource_state>.count
#
#
# Security Settings
# -----------------
#
#    Authentication
#
#            imq.authentication.type
#            imq.<service_name>.authentication.type
#            imq.authentication.basic.user_repository
#            imq.authentication.client.response.timeout
#
#    User Repository
#
#            imq.user_repository.ldap.server
#            imq.user_repository.ldap.principal
#            imq.user_repository.ldap.base
#            imq.user_repository.ldap.uidattr
#            imq.user_repository.ldap.usrfilter
#            imq.user_repository.ldap.grpsearch
#            imq.user_repository.ldap.grpbase
#            imq.user_repository.ldap.gidattr
#            imq.user_repository.ldap.memattr
#            imq.user_repository.ldap.grpfilter
#            imq.user_repository.ldap.ssl.enabled
#            imq.user_repository.ldap.timeout
#
#            imq.user_repository.jaas.name
#            imq.user_repository.jaas.userPrincipalClass
#            imq.user_repository.jaas.groupPrincipalClass
#
#    Access Control
#            imq.accesscontrol.enabled
#            imq.<service_name>.accesscontrol.enabled
#            imq.accesscontrol.file.filename
#            imq.<service_name>.accesscontrol.file.filename
#            imq.accesscontrol.file.url
#            imq.<service_name>.accesscontrol.file.url
#
#    Audit logging control
#            imq.audit.enabled
#
# Log Settings
# ------------
#
#    Log Level
#            imq.log.level
#            imq.log.timezone
#
#    Output Channels
#        File:
#            imq.log.file.rolloverbytes
#            imq.log.file.rolloversecs
#            imq.log.file.dirpath
#            imq.log.file.filename
#            imq.log.file.output
#        Console:
#            imq.log.console.stream
#            imq.log.console.output
#        Solaris syslog:
#            imq.log.syslog.facility
#            imq.log.syslog.logpid
#            imq.log.syslog.logconsole
#            imq.log.syslog.identity
#            imq.log.syslog.output
#
#    Metrics settings
#            imq.metrics.enabled
#            imq.metrics.interval
#            imq.metrics.topic.enabled
#            imq.metrics.topic.interval
#            imq.metrics.topic.persist
#            imq.metrics.topic.timetolive
#
# Destination Management Settings
# -------------------------------
#
#            imq.autocreate.topic
#            imq.autocreate.topic.consumerFlowLimit
#            imq.autocreate.queue
#            imq.autocreate.reaptime
#            imq.autocreate.queue.consumerFlowLimit
#            imq.autocreate.queue.maxNumActiveConsumers
#            imq.autocreate.queue.maxNumBackupConsumers
#            imq.autocreate.queue.localDeliveryPreferred
#            imq.autocreate.destination.isLocalOnly
#            imq.autocreate.destination.maxNumMsgs
#            imq.autocreate.destination.maxTotalMsgBytes
#            imq.autocreate.destination.maxNumProducers
#            imq.autocreate.destination.maxBytesPerMsg
#            imq.autocreate.destination.limitBehavior
#            imq.autocreate.destination.useDMQ
#
#            imq.destination.DMQ.truncateBody
#            imq.destination.logDeadMsgs
#
#
# Transaction Settings
# --------------------
#
#            imq.transaction.autorollback
#
#
# Cluster Management Settings
# ---------------------------
#
#    Cluster file location
#
#            imq.cluster.url
#
#    Cluster per broker settings
#
#            imq.cluster.hostname
#            imq.cluster.port
#
#    Cluster Configuration Setting 
#
#       NOTE: Under normal circumstances, setting for these
#             properties should be made in the cluster.url file
#             where then can be accessed by all brokers in the
#             cluster, not in this file
#
#            imq.cluster.brokerlist
#            imq.cluster.masterbroker
#            imq.cluster.transport
#
#
# Miscellaneous Settings
# ----------------------
#
#            imq.ping.interval
#
#
# Please see the documentation for specifics on how to set these
# properties.
#
##############################################################
#
# To plug in a Sun HADB database, either uncomment or
# set 'dbVendor' property to 'hadb', and edit the 
# values according to your database configuration.
# Then, finish the steps outlined in the Administrative Guide
# to plug in and set up the database store.
#
##############################################################
# Beginning of properties to plug in a Sun HADB database
#imq.persist.store=jdbc
# Replace 'alphanumeric id' with your broker identifier
#imq.persist.jdbc.brokerid=<alphanumeric id>
#imq.persist.jdbc.dbVendor=hadb
# Replace 'server list' with your comma-separated list of servers.
#imq.persist.jdbc.hadb.property.serverList=<server list>
# Replace username.
#imq.persist.jdbc.hadb.user=<username>
#imq.persist.jdbc.hadb.needpassword=[true|false]
#
# End of properties to plug in a Sun HADB database
##############################################################
#
# To plug in an Oracle 9i database, either uncomment or
# set 'dbVendor' property to 'oracle', and edit the 
# values according to your database configuration.
# Then, finish the steps outlined in the Administrative Guide
# to plug in and set up the database store.
#
##############################################################
# Beginning of properties to plug in an Oracle 9i database
#imq.persist.store=jdbc
# Replace 'alphanumeric id' with your broker identifier
#imq.persist.jdbc.brokerid=<alphanumeric id>
#imq.persist.jdbc.dbVendor=oracle
# Replace hostname, port and sid in imq.persist.jdbc.oracle.property.url.
#imq.persist.jdbc.oracle.property.url=jdbc:oracle:thin:@<hostname>:<port>:<sid>
# Replace username.
#imq.persist.jdbc.oracle.user=<username>
#imq.persist.jdbc.oracle.needpassword=[true|false]
#
# End of properties to plug in an Oracle 9i database
##############################################################
#
# To plug in a PointBase embedded database, either uncomment or
# set 'dbVendor' property to 'pointbase', and edit the 
# values according to your database configuration.
# Then, finish the steps outlined in the Administrative Guide
# to plug in and set up the database store.
# Note that you may need to adjust the maximum length allowed
# for the MESSAGE column in the MQMSG40 table.
#
##############################################################
# Beginning of properties to plug in a Pointbase embedded database
#imq.persist.store=jdbc
# Replace 'alphanumeric id' with your broker identifier
#imq.persist.jdbc.brokerid=<alphanumeric id>
#imq.persist.jdbc.dbVendor=pointbase
#imq.persist.jdbc.pointbase.createdburl=jdbc:pointbase:embedded:imqdb;new,database.home=${imq.instanceshome}${/}${imq.instancename}${/}dbstore
#imq.persist.jdbc.pointbase.opendburl=jdbc:pointbase:embedded:imqdb;database.home=${imq.instanceshome}${/}${imq.instancename}${/}dbstore
# Replace username.
#imq.persist.jdbc.pointbase.user=<username>
#imq.persist.jdbc.pointbase.needpassword=[true|false]
#
# For the MQMSG40 table, the default maximum size for the MESSAGE
# column is 1 Megabytes (1m).  If you expect to have messages that
# are larger than this, change the length according to your need
# before creating the tables. If the tables have been created
# already, you need to recreate them after the change.
# Note that the size includes the size of the message body,
# properties, and MQ private data.
#imq.persist.jdbc.pointbase.table.MQMSG40=\
#          CREATE TABLE ${name} (\
#              ID VARCHAR(100) NOT NULL,\
#              MESSAGE BLOB(1m) NOT NULL,\
#              MESSAGE_SIZE BIGINT,\
#              BROKER_ID VARCHAR(100) NOT NULL,\
#              DESTINATION_ID VARCHAR(100),\
#              TRANSACTION_ID BIGINT,\
#              CREATED_TS BIGINT NOT NULL,\
#              PRIMARY KEY(ID))
#
# End of properties to plug in a PointBase embedded database
##############################################################
#
# To plug in a Cloudscape embedded database, either uncomment or
# set 'dbVendor' property to 'pointbase', and edit the 
# values according to your database configuration.
# Then, finish the steps outlined in the Administrative Guide
# to plug in and set up the database store.
#
##############################################################
# Beginning of properties to plug in a Cloudscape embedded database
#imq.persist.store=jdbc
# Replace 'alphanumeric id' with your broker identifier
#imq.persist.jdbc.brokerid=<alphanumeric id>
#imq.persist.jdbc.dbVendor=cloudscape
#imq.persist.jdbc.cloudscape.createdburl=jdbc:cloudscape:${imq.instanceshome}${/}${imq.instancename}${/}dbstore${/}imqdb;create=true
#imq.persist.jdbc.cloudscape.opendburl=jdbc:cloudscape:${imq.instanceshome}${/}${imq.instancename}${/}dbstore${/}imqdb
#imq.persist.jdbc.cloudscape.closedburl=jdbc:cloudscape:;shutdown=true
# Replace username.
#imq.persist.jdbc.cloudscape.user=<username>
#imq.persist.jdbc.cloudscape.needpassword=[true|false]
#
# End of properties to plug in a Cloudscape embedded database
##############################################################


##############################################################
#
# An example of using Sun Java System Directory Server 5.2 as
# the user repository
#
##############################################################
#
#imq.authentication.type=basic
#imq.authentication.basic.user_repository=ldap
#imq.user_repository.ldap.server=host:port
#imq.user_repository.ldap.principal=
#imq.user_repository.ldap.base=ou=People, dc=sun,dc=com
#imq.user_repository.ldap.uidattr=uid
#imq.user_repository.ldap.usrfilter=
#imq.user_repository.ldap.grpsearch=false
#imq.user_repository.ldap.grpbase=ou=Groups, dc=sun,dc=com
#imq.user_repository.ldap.gidattr=cn
#imq.user_repository.ldap.memattr=uniquemember
#imq.user_repository.ldap.grpfilter=
#imq.user_repository.ldap.ssl.enabled=false
#imq.user_repository.ldap.timeout=180
#
##############################################################
#
#
#Last Update:
#Fri May 12 16:47:27 BRT 2006
imq.instanceconfig.version=300
